﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.Misc;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication501
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        DataTable dt;
        private void Form1_Load(object sender, EventArgs e)
        {
            dt = new DataTable();
            dt.Columns.Add("CheckBox", typeof(Boolean));
            dt.Columns.Add("Preview");
            for (int i = 0; i < 10; i++)
            {                
                dt.Rows.Add(new object[] { false, "Preview" + i});
            }

            ultraGrid1.DataSource = dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["CheckBox"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.CheckBox;
            e.Layout.Bands[0].Columns["Preview"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.Button;
        }

        private void ultraGrid1_ClickCellButton(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            Form frm = new Form();
            UltraButton btn = new UltraButton();
            btn.Text = "The clicked row's index is: " + e.Cell.Row.Index.ToString();
            btn.Size = new System.Drawing.Size(100, 50);
            btn.Location = new Point(50, 50);
            frm.Controls.Add(btn);
            frm.Text = "Preview";
            frm.Show();
        }

        private void deleteToolStripMenuItem_Click(object sender, EventArgs e)
        {
            List<UltraGridRow> rows = new List<UltraGridRow>();

            foreach (UltraGridRow row in ultraGrid1.Rows)
            {
                if ((bool)row.Cells["CheckBox"].Value)
                {
                    ultraGrid1.PerformAction(UltraGridAction.ExitEditMode);
                    rows.Add(row);
                }
            }

            foreach (UltraGridRow row in rows)
            {
                row.Cells["CheckBox"].Activated = false;
                row.Delete(false);
            }
        }
    }
}
